Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234952 - deprecating behavior; netcat hostname resolution broken
Summary: deprecating behavior; netcat hostname resolution broken
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nc
Version: 7
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-03 02:47 UTC by Leon Smith
Modified: 2008-06-17 01:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-17 01:17:11 UTC


Attachments (Terms of Use)

Description Leon Smith 2007-04-03 02:47:46 UTC
Description of problem:

netcat is unable to listen on a port, apparently because it is not able to parse
the command line properly.


Version-Release number of selected component (if applicable):

1.84-10.fc6.x86_64,   same issue with 1.84-3.fc6.i386


How reproducible:

Completely reproducable,  on my computer anyway.


Steps to Reproduce:
1.  /usr/bin/nc -l -p 8080

Actual results:

The following is written to stderr:

usage: nc [-46DdhklnrStUuvzC] [-i interval] [-p source_port]
          [-s source_ip_address] [-T ToS] [-w timeout] [-X proxy_version]
          [-x proxy_address[:port]] [hostname] [port[s]]  


Expected results:

no output,  should wait for a connection on port 8080 instead.


Additional info:

Comment 1 Jan Cholasta 2007-04-03 11:44:24 UTC
From the manual page:
>    -p source_port
>            Specifies the source port nc should use, subject to privilege
>            restrictions and availability.  It is an error to use this option
>            in conjunction with the -l option.

You should use 'nc -l 8080'


Comment 2 Leon Smith 2007-04-03 14:07:36 UTC
This is not standard netcat behavior.   In fact,  on machines recent version Red Hat Enterprise,   'nc -l 
8080' does not work.   You *must* use 'nc -l -s 8080',  otherwise,  netcat does not start listening    
Moreover, no deprecation of this behavior was ever done.     This caused me quite a bit of confusion 
that caused me to waste a few hours of my working day locating this issue, experimenting with other 
versions of nc and preinstalled versions of nc on other operating systems.

Furthermore,   I had experimented around with 'nc -l 8080',   and had concluded it wasn't listening on a 
port,   as it does on Red Hat Enterprise.   This is because nc hostname resolution is broken.

If you do:

nc -l 8080  

in one terminal,  and then

nc localhost 8080 

in another,  you will not be able to connect to the first terminal.   However,  you will be able connect if 
you use

nc 127.0.0.1  

instead.   

Comment 3 Bug Zapper 2008-05-14 12:11:46 UTC
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2008-06-17 01:17:10 UTC
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.